# TdApi.GetActiveLiveLocationMessages (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetActiveLiveLocationMessages

Package it.tdlight.jni

# Class TdApi.GetActiveLiveLocationMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetActiveLiveLocationMessages

Enclosing class:
  TdApi

    public static class TdApi.GetActiveLiveLocationMessages
    extends TdApi.Function

Returns all active live locations that need to be updated by the application. The list is persistent across application restarts only if the message database is used.

Returns `Messages`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetActiveLiveLocationMessages()` | Returns all active live locations that need to be updated by the application.
`GetActiveLiveLocationMessages​(DataInput input)` | Returns all active live locations that need to be updated by the application.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetActiveLiveLocationMessages

public GetActiveLiveLocationMessages()
Returns all active live locations that need to be updated by the application. The list is persistent across application restarts only if the message database is used.

Returns `Messages`

### GetActiveLiveLocationMessages

public GetActiveLiveLocationMessages​(DataInput input) throws IOException
Returns all active live locations that need to be updated by the application. The list is persistent across application restarts only if the message database is used.

Returns `Messages`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`